require 'outreach-ruby/version'
require 'outreach-ruby/errors'
require 'outreach-ruby/request'
require 'outreach-ruby/authorization'
require 'outreach-ruby/client'
require 'outreach-ruby/prospect'
require 'outreach-ruby/user'
require 'outreach-ruby/sequence'
require 'outreach-ruby/sequence_state'
require 'outreach-ruby/service/prospect'
require 'outreach-ruby/service/user'
require 'outreach-ruby/service/sequence'
require 'outreach-ruby/service/sequence_state'

module Outreach
  class << self
    attr_accessor :application_identifier
    attr_accessor :application_secret
    attr_accessor :scopes
    attr_accessor :redirect_uri
    attr_accessor :debug
  end
end
