module Outreach
  module Service
    class User
      def initialize(client)
        @request = client.request
      end

      def find(id)
        response = @request.get("#{api_url}/#{id}")
        collection_class.build_from_attributes_hash(response['data'])
      end

      private

      def api_url
        'https://api.outreach.io/api/v2/users'
      end

      def collection_class
        Outreach::User
      end
    end
  end
end
