require 'outreach-ruby/model'

module Outreach
  class Sequence
    extend Outreach::Model

    attr_accessor :id, :name, :response

    def initialize(attrs)
      @id = attrs['id']
      @name = attrs['name']
      @response = attrs['response']
    end

    def self.build_from_attributes_hash(data)
      result = {}
      result['id'] = data['id']
      result['name'] = nested_hash_value(
        data,
        %w[attributes name]
      )
      result['response'] = data
      new(result)
    end
  end
end
